# Class TCefWaitableEventRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWaitableEvent

## Declaration

`type TCefWaitableEventRef = class(TCefBaseRefCountedRef, ICefWaitableEvent)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefWaitableEventRef

## Overview

### Methods

| `procedure Reset;`
| `procedure Signal;`
| `function IsSignaled: boolean;`
| `procedure Wait;`
| `function TimedWait(max_ms: int64): boolean;`
| `class function UnWrap(data: Pointer): ICefWaitableEvent;`
| `class function New(automatic_reset, initially_signaled : boolean): ICefWaitableEvent;`

## Description

### Methods

| `procedure Reset;`
This item has no description. Showing description inherited from ICefWaitableEvent.Reset. Put the event in the un-signaled state.

| `procedure Signal;`
This item has no description. Showing description inherited from ICefWaitableEvent.Signal. Put the event in the signaled state. This causes any thread blocked on Wait to be woken up.

| `function IsSignaled: boolean;`
This item has no description. Showing description inherited from ICefWaitableEvent.IsSignaled. Returns true (1) if the event is in the signaled state, else false (0). If the event was created with |automatic_reset| set to true (1) then calling this function will also cause a reset.

| `procedure Wait;`
This item has no description. Showing description inherited from ICefWaitableEvent.Wait. Wait indefinitely for the event to be signaled. This function will not return until after the call to signal() has completed. This function cannot be called on the browser process UI or IO threads.

| `function TimedWait(max_ms: int64): boolean;`
This item has no description. Showing description inherited from ICefWaitableEvent.TimedWait. Wait up to |max_ms| milliseconds for the event to be signaled. Returns true (1) if the event was signaled. A return value of false (0) does not necessarily mean that |max_ms| was exceeded. This function will not return until after the call to signal() has completed. This function cannot be called on the browser process UI or IO threads.

| `class function UnWrap(data: Pointer): ICefWaitableEvent;`
This item has no description.

| `class function New(automatic_reset, initially_signaled : boolean): ICefWaitableEvent;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.